Package ru.bitel.bgbilling.plugins.crm.common.model

# Class PersonalRegisterTask

java.lang.Object
ru.bitel.bgbilling.plugins.crm.common.model.PersonalRegisterTask

public class PersonalRegisterTask extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `PersonalRegisterTask.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PersonalRegisterTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PersonalRegisterTask.Builder`
  `builder()`
  `String`
  `getArea()`
  `String`
  `getCity()`
  `String`
  `getContract()`
  `String`
  `getContractComment()`
  `String`
  `getFio()`
  `String`
  `getFlat()`
  `int`
  `getFloor()`
  `String`
  `getHouse()`
  `String`
  `getObjectTitle()`
  `String`
  `getPhone()`
  `int`
  `getPod()`
  `String`
  `getQuarter()`
  `String`
  `getStreet()`
  `RegisterTask`
  `getTask()`
  `void`
  `setArea(String area)`
  `void`
  `setCity(String city)`
  `void`
  `setContract(String contract)`
  `void`
  `setContractComment(String contractComment)`
  `void`
  `setFio(String fio)`
  `void`
  `setFlat(String flat)`
  `void`
  `setFloor(int floor)`
  `void`
  `setHouse(String house)`
  `void`
  `setObjectTitle(String objectTitle)`
  `void`
  `setPhone(String phone)`
  `void`
  `setPod(int pod)`
  `void`
  `setQuarter(String quarter)`
  `void`
  `setStreet(String street)`
  `void`
  `setTask(RegisterTask task)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PersonalRegisterTask

    public PersonalRegisterTask()

- ## Method Details

  - ### getArea

    public String getArea()

  - ### getCity

    public String getCity()

  - ### getContract

    public String getContract()

  - ### getContractComment

    public String getContractComment()

  - ### getFio

    public String getFio()

  - ### getFlat

    public String getFlat()

  - ### getFloor

    public int getFloor()

  - ### getHouse

    public String getHouse()

  - ### getObjectTitle

    public String getObjectTitle()

  - ### getPhone

    public String getPhone()

  - ### getPod

    public int getPod()

  - ### getQuarter

    public String getQuarter()

  - ### getStreet

    public String getStreet()

  - ### getTask

    public RegisterTask getTask()

  - ### setArea

    public void setArea(String area)

  - ### setCity

    public void setCity(String city)

  - ### setContract

    public void setContract(String contract)

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### setFio

    public void setFio(String fio)

  - ### setFlat

    public void setFlat(String flat)

  - ### setFloor

    public void setFloor(int floor)

  - ### setHouse

    public void setHouse(String house)

  - ### setObjectTitle

    public void setObjectTitle(String objectTitle)

  - ### setPhone

    public void setPhone(String phone)

  - ### setPod

    public void setPod(int pod)

  - ### setQuarter

    public void setQuarter(String quarter)

  - ### setStreet

    public void setStreet(String street)

  - ### setTask

    public void setTask(RegisterTask task)

  - ### builder

    public static PersonalRegisterTask.Builder builder()